#include "vision.h"

std::vector<int> getVisionPattern1d()
{
    return {1, 3, 1, 1, 1, 2};
}

int getMove1d(std::vector<int> v)
{
    int l=v.size()/2;
    if(l==3){
        if(v[5]==2) return 0;
        return 6;
    }
    if(l==1){
        if(v[0]==2) return 0;
        if(v[2]==2) return 2;
        return 2;
    }
    if(v[4]==3) return 4;
    return 0;
}

std::vector<std::vector<int>> getVisionPattern2d()
{
    return {{1}};
}

std::pair<int, int> getMove2d(std::vector<std::vector<int>> v)
{
    return {0, 0};
}
